Decrement item's value

- « Memcache::connect

- Memcache::delete »

- PHP Manual
- Memcache
- Decrement item's value

# Memcache::decrement

(PECL memcache >= 0.2.0)

Memcache::decrement — Decrement item's value

### Description

Memcache::decrement(string `$key`, int `$value` = 1): int|false

Memcache::decrement() decrements value of the item by `value`. Similarly to Memcache::increment(), current value of the item is being converted to numerical and after that `value` is subtracted.

> Note:

> New item's value will not be less than zero.

> Note:

> Do not use Memcache::decrement() with item, which was stored compressed, because consequent call to Memcache::get() will fail.

Memcache::decrement() does not create an item if it didn't exist. Also you can use memcache_decrement() function.

### Parameters

`key`

  Key of the item do decrement.

`value`

  Decrement the item by `value`.

### Return Values

Returns item's new value on success or `false` on failure.

### Examples

Example #1 Memcache::decrement() example

    <?php/* procedural API */$memcache_obj = memcache_connect('memcache_host', 11211);/* decrement item by 2 */$new_value = memcache_decrement($memcache_obj, 'test_item', 2);/* OO API */$memcache_obj = new Memcache;$memcache_obj->connect('memcache_host', 11211);/* decrement item by 3 */$new_value = $memcache_obj->decrement('test_item', 3);?>

### See Also

- Memcache::increment() - Increment item's value
- Memcache::replace() - Replace value of the existing item